# GstUdmabufAllocator

This is a subclass of GstDmaBufAllocator that implements the gst_allocator_alloc method using `memfd_create()` and `UDMABUF_CREATE`. Platforms not supporting that (most non-Linux) will always return NULL.

## GstUdmabufAllocator

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstAllocator
                    ╰──GstFdAllocator
                        ╰──GstDmaBufAllocator
                            ╰──GstUdmabufAllocator

Private instance object for GstUdmabufAllocator.

Since : 1.28

### Class structure

#### GstUdmabufAllocatorClass

##### Fields

`parent_class` (GstDmaBufAllocatorClass) –

Parent Class.

### GstAllocators.UdmabufAllocatorClass

##### Attributes

`parent_class` (GstAllocators.DmaBufAllocatorClass) –

Parent Class.

### GstAllocators.UdmabufAllocatorClass

##### Attributes

`parent_class` (GstAllocators.DmaBufAllocatorClass) –

Parent Class.

## GstAllocators.UdmabufAllocator

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Allocator
                    ╰──GstAllocators.FdAllocator
                        ╰──GstAllocators.DmaBufAllocator
                            ╰──GstAllocators.UdmabufAllocator

Private instance object for GstAllocators.UdmabufAllocator.

Since : 1.28

## GstAllocators.UdmabufAllocator

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Allocator
                    ╰──GstAllocators.FdAllocator
                        ╰──GstAllocators.DmaBufAllocator
                            ╰──GstAllocators.UdmabufAllocator

Private instance object for GstAllocators.UdmabufAllocator.

Since : 1.28

### Functions

#### gst_udmabuf_allocator_get

    GstAllocator *
    gst_udmabuf_allocator_get ()

Get the GstUdmabufAllocator singleton if available.

Returns ( [transfer: full][nullable]) –

a GstAllocator or NULL if gst_udmabuf_allocator_init_once did not register the allocator.

Since : 1.28

#### GstAllocators.UdmabufAllocator.prototype.get

    function GstAllocators.UdmabufAllocator.prototype.get(): {
        // javascript wrapper for 'gst_udmabuf_allocator_get'
    }

Get the GstAllocators.UdmabufAllocator singleton if available.

Returns (Gst.Allocator) –

a Gst.Allocator or null if GstAllocators.UdmabufAllocator.prototype.init_once did not register the allocator.

Since : 1.28

#### GstAllocators.UdmabufAllocator.get

    def GstAllocators.UdmabufAllocator.get ():
        #python wrapper for 'gst_udmabuf_allocator_get'

Get the GstAllocators.UdmabufAllocator singleton if available.

Returns (Gst.Allocator) –

a Gst.Allocator or None if GstAllocators.UdmabufAllocator.init_once did not register the allocator.

Since : 1.28

#### gst_udmabuf_allocator_init_once

    gst_udmabuf_allocator_init_once ()

Register a GstUdmabufAllocator using gst_allocator_register with the name GST_ALLOCATOR_UDMABUF. This is no-op after the first call.

Since : 1.28

#### GstAllocators.UdmabufAllocator.prototype.init_once

    function GstAllocators.UdmabufAllocator.prototype.init_once(): {
        // javascript wrapper for 'gst_udmabuf_allocator_init_once'
    }

Register a GstAllocators.UdmabufAllocator using Gst.Allocator.prototype.register with the name GstAllocators.ALLOCATOR_UDMABUF. This is no-op after the first call.

Since : 1.28

#### GstAllocators.UdmabufAllocator.init_once

    def GstAllocators.UdmabufAllocator.init_once ():
        #python wrapper for 'gst_udmabuf_allocator_init_once'

Register a GstAllocators.UdmabufAllocator using Gst.Allocator.register with the name GstAllocators.ALLOCATOR_UDMABUF. This is no-op after the first call.

Since : 1.28

## Constants

### GST_ALLOCATOR_UDMABUF

    #define GST_ALLOCATOR_UDMABUF "udmabuf"

Name of this allocator, to be used for example with gst_allocator_find and gst_memory_is_type.

Since : 1.28

### GstAllocators.ALLOCATOR_UDMABUF

Name of this allocator, to be used for example with Gst.Allocator.prototype.find and Gst.Memory.prototype.is_type.

Since : 1.28

### GstAllocators.ALLOCATOR_UDMABUF

Name of this allocator, to be used for example with Gst.Allocator.find and Gst.Memory.is_type.

Since : 1.28

### GST_TYPE_UDMABUF_ALLOCATOR

    #define GST_TYPE_UDMABUF_ALLOCATOR gst_udmabuf_allocator_get_type ()

Macro that returns the GstUdmabufAllocator type.

Since : 1.28

The results of the search are